put
https://api.caas.staging.bancocdc.com.br/client/pj/partner/
The update route is responsible for modifying the information of an existing PJ customer representative.
Attention point:
To consume the route it is necessary to pass the representative code as a parameter.
Partner Types
| Value | Description |
|---|---|
| 1 | Attorney |
| 2 | Partner |
| 3 | Administrator |
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-02 | Invalid hash. |
| 400 | 400-10 | Please provide the correct document. |
| 400 | 400-11 | Error registering. |
| 400 | 400-14 | Partner is already registered. |
| 400 | 400-13 | Error updating. |
| 400 | 400-15 | Type of partner without identification. |
| 401 | 401-05 | Unauthorized or token invalid |
| 406 | 406-01 | User was not found. |
| 406 | 406-03 | field 'X' is mandatory and was not informed. |
| 429 | 429-01 | Too many requests |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | string | Code of the request made |
| return | boolean | Indicates if the request was successful |
| return_code | string | Return code of the request |
| message | string | Message indicating the reason for the response |